{% extends 'base.html' %}

{% block title %}
    Home
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url "create_project" %}">Create a new project</a>
            </p>
            {% if projects %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for projects in projects %}
                            <tr>
                                <td>
                                    <a href="{% url "show_project" projects.id %}">{{ projects.name }}</a>
                                </td>
                                <td>{{ projects.tasks.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody
                </table>
            {% else %}
                <p>You are not assigned to any projects</p>
            {% endif %}
        </main>
    {% endblock content %}
